Resultados 1 al 10 de 10

Tema: ATI (fglrx) soportará AIGLX en su versión 8.41.x

  1. #1 ATI (fglrx) soportará AIGLX en su versión 8.41.x 
    Avanzado
    Fecha de ingreso
    Jun 2006
    Mensajes
    538
    Descargas
    3
    Uploads
    0
    Buenas noticias para los usuarios de GNU/Linux con tarjetas gráficas ATI.

    AMD ha publicado una nota de prensa (http://biz.yahoo.com/bw/070905/20070904006432.html) en la que comenta que la nueva versión del driver propietario (fglrx) que será publicado en septiembre, incluirá soporte para AIGLX.

    La página web Phoronix ha tenido acceso a probar los nuevos drivers (http://www.phoronix.com/scan.php?pag...item=821&num=1) comparando el rendimiento con tarjetas NVIDIA de gama similar, obteniedo resultados esperanzadores.

    Las buenas noticias no terminan aquí, ya que parece ser que ATI, ofrecerá un driver básico con soporte 2D a la comunidad open-source(http://www.phoronix.com/scan.php?pag...tem=821&num=1), para que sea esta la que pueda desarrollar su propio driver.


    Casi lloro de la alegria

    Salu2
    Citar  
     

  2. #2  
    Moderador HH
    Fecha de ingreso
    Mar 2003
    Ubicación
    Galiza
    Mensajes
    3.919
    Descargas
    8
    Uploads
    1
    Una buena noticia aunque esperada, ya que AMD no se podía permitir que siguieran corriendo rumores de que Linux no tiraba con ATI, algo que era mentira (aunque ciertamente hubo algún problema por culpa de usar extensiones propietarias de Nvidia en ciertos proyectos 3D) pero que la gente empezaba a creer como en su momento hizo con lo de que los AMD se calentaban mucho, aun hoy hay gente que sigue diciendolo...

    Un Saludo
    He conocido muchos dioses. Quien niegue su existencia está tan ciego como el que confía en ellos con una fe desmesurada. Robert E. Howard
    La suerte ayuda a la mente preparada.
    Citar  
     

  3. #3  
    Moderador Global
    Fecha de ingreso
    Aug 2005
    Mensajes
    6.279
    Descargas
    7
    Uploads
    0
    Cita Iniciado por gondar_f Ver mensaje
    (aunque ciertamente hubo algún problema por culpa de usar extensiones propietarias de Nvidia en ciertos proyectos 3D)
    puf, qué razón tienes. Cuando cambié de nvidia a ati se cargaban las extensiones de nvidia y en ningún log aparecía que la que estaba fallando era de nvidia. La solución pasa por purgar TODO el soporte gráfico del sistema, incluso borrando los archivos manualmente y eliminando las referencias de dpkg para luego hacer la instalación simple de los módulos de ati con el "core" de xorg.

    Ahora mismo tengo una instalación de beryl sobre debian etch, así que sí que funciona, y a la perfección por cierto.

    Cabe decir que el driver propietario de nvidia, especialmente en en instalador, me parece una auténtica basura que pretende de forma ineficiente salirse de las convenciones que una comunidad experimentada como lo es la de debian tiene ya preestablecidas.

    Beryl con ati sobre debian etch:



    Salu2


    Keep on Rollin'

    . . . . . . . . . . . . . . . . . . . .
    [[ NORMAS DEL FORO ]]
    . . . . . . . . . . . . . . . . . . . .
    __________
    Citar  
     

  4. #4  
    Avanzado
    Fecha de ingreso
    Jun 2006
    Mensajes
    538
    Descargas
    3
    Uploads
    0
    Si, lo unico que lo tendrás funcionando con XGL y no con AIGLC.La direfencia de rendimiento entre uno y otro es abismal.

    Por cierto, el proyecto Beryl murió, ya que Beryl se ha vuelto a fusionar con Compiz, dando como resultado el proyecto Compiz-Fusion.

    Salu2
    Citar  
     

  5. #5  
    Moderador Global
    Fecha de ingreso
    Aug 2005
    Mensajes
    6.279
    Descargas
    7
    Uploads
    0
    Así es, Ktorce. Y lo mismo me ocurre con los juegos, aunque mi tarjeta es recién comprada no me he gastado el dinero en una de última generación, por lo que agradeceré mucho el nuevo soporte de AIGLX

    Salu2


    Keep on Rollin'

    . . . . . . . . . . . . . . . . . . . .
    [[ NORMAS DEL FORO ]]
    . . . . . . . . . . . . . . . . . . . .
    __________
    Citar  
     

  6. #6  
    Moderador HH
    Fecha de ingreso
    Mar 2003
    Ubicación
    Galiza
    Mensajes
    3.919
    Descargas
    8
    Uploads
    1
    El Novell XGL es mucho mejor que el AIGLX, no solo porque el AIGLX use extensiones como las DRI, es más rapida, consume muchos menos recursos (XGL va en targetas del año 1999 y AIGLX necesita GPUs recientes). Además AIGLX está atada a ciertos proyectos software muy concretos mientras que XGL ya se usa incluso en otros SO y plataformas (como será en el futuro MorphOS 2 que saldra en fechas próximas), XGL no usa cosas raras, simplemente utiliza las capacidades OpenGL de las targetas gráficas... Además XGL no solo sirve para hacer 4 efectos chorra... Aunque es cierto qeu AIGLX tiene ciertas ventajas, como que se acopla perfectamente con GNOME + X.org como extensión, aunque precisamente esto último es lo que limita y ata a AIGLX.

    Os dejo unos links:
    http://www.vivalinux.com.ar/desktop/...ovell-xgl.html
    http://libertonia.escomposlinux.org/.../22/223245/182
    http://sushiknights.org/node/613

    Por cierto, dato curioso, al principio AIGLX no funcionaba en las Nvidia y si en la ATI, en cambio posteriormente empezo a dar ploblemas acon las ATI y funcionar con la NVIDIA al usar extensiones de los drivers de Nvidia...

    Por cierto que se me olvidaba, ¿que sabeis de cierto sobre lo que se comenta que Novell se va a desentender completamente de Compiz y X.org? recordad que hasta ahora el principal desarrollador (durante la mayor parte del tiempo único) de Compiz y en su momento fue el responsable de X.org (bueno de aquella aun era SuSE)... que dicen que va a desarrollar una solución más tipo MacOS...

    Un Saludo
    Última edición por gondar_f; 06-09-2007 a las 14:56
    He conocido muchos dioses. Quien niegue su existencia está tan ciego como el que confía en ellos con una fe desmesurada. Robert E. Howard
    La suerte ayuda a la mente preparada.
    Citar  
     

  7. #7  
    Avanzado
    Fecha de ingreso
    Jun 2006
    Mensajes
    538
    Descargas
    3
    Uploads
    0
    Bueno, ya han sacado la version 8.42.3, en la que al fin se soporta AIGLX.

    Probado y funcionando perfectamente
    Citar  
     

  8. #8  
    Moderador HH
    Fecha de ingreso
    Mar 2003
    Ubicación
    Galiza
    Mensajes
    3.919
    Descargas
    8
    Uploads
    1
    ¿Que targetas soporta? solo las últimas o targetas de hace ya unos años (vease RADEON 9200, 8500, 7000...)... supongo que las anteriores a esas no porque AIGLX requiere GPU fijo, aunque XGL si funcione...

    Es que con piezas que tenia por casa monte un PC que tiene una Radeon 9200 y si tira le pongo Linux, sino BeOS Max Edition...

    Un Saludo
    He conocido muchos dioses. Quien niegue su existencia está tan ciego como el que confía en ellos con una fe desmesurada. Robert E. Howard
    La suerte ayuda a la mente preparada.
    Citar  
     

  9. #9  
    Avanzado
    Fecha de ingreso
    Jun 2006
    Mensajes
    538
    Descargas
    3
    Uploads
    0
    Perdon pro no citar ninguna fuente.

    Aquí las releases notes:
    https://a248.e.akamai.net/f/674/9206...ux_8.42.3.html

    gondar_f, lo mirare, pero creo que estan soportadas las tarjetas radeon 9500 en adelante (para estas habia que usar el driver libre)

    PD: Mire, y para la 9200 parece que se quedaron en el driver 8.28:
    http://ati.amd.com/support/drivers/l...n-prer200.html

    Salu2
    Última edición por Ktorce; 07-11-2007 a las 15:49
    Citar  
     

  10. #10  
    Moderador HH
    Fecha de ingreso
    Mar 2003
    Ubicación
    Galiza
    Mensajes
    3.919
    Descargas
    8
    Uploads
    1
    Muchas gracias Ktorce.

    Es una pena que no hayan integrado integrado soporte para los VPUs con núcleos inferiores al R260...

    Un Saludo
    He conocido muchos dioses. Quien niegue su existencia está tan ciego como el que confía en ellos con una fe desmesurada. Robert E. Howard
    La suerte ayuda a la mente preparada.
    Citar  
     

Temas similares

  1. Se filtro la version 8.5 del MSN
    Por 4v7n42 en el foro NOTICIAS
    Respuestas: 6
    Último mensaje: 01-06-2007, 18:28
  2. version.h ?
    Por Bashuso en el foro LINUX - MAC - OTROS
    Respuestas: 1
    Último mensaje: 25-11-2005, 19:35
  3. sobre la version 2.0 del ns
    Por jandrito3 en el foro JUEGOS
    Respuestas: 0
    Último mensaje: 15-08-2003, 21:37
  4. Version de Linux
    Por redemond en el foro HACK HiSPANO
    Respuestas: 1
    Último mensaje: 15-02-2002, 12:20

Marcadores

Marcadores

Permisos de publicación

  • No puedes crear nuevos temas
  • No puedes responder temas
  • No puedes subir archivos adjuntos
  • No puedes editar tus mensajes
  •